#include <stdio.h>
#include "mpi.h"
int MPIR_Err_create_code( int, const char [], ... );
void ChkMsg( int, int, const char [] );

int main(int argc, char **argv)
{
    int err;
    MPI_Init( 0, 0 );
    /* src/mpi/attr/attrutil.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**nomem", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**nomem" );
    /* src/mpi/attr/attrutil.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**attrsentinal", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**attrsentinal" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code( MPI_ERR_KEYVAL, "**keyval", 0 );
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyval" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code( MPI_ERR_KEYVAL, "**keyvalnotcomm", 0 );
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalnotcomm" );
    /* src/mpi/attr/comm_delete_attr.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**permattr", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**permattr" );
    /* src/mpi/attr/comm_set_attr.c */
    err = MPIR_Err_create_code( MPI_ERR_KEYVAL, "**keyvalinvalid", 0 );
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalinvalid" );
    /* src/mpi/attr/type_delete_attr.c */
    err = MPIR_Err_create_code( MPI_ERR_KEYVAL, "**keyvalnotdatatype", 0 );
    ChkMsg( err, MPI_ERR_KEYVAL, "**keyvalnotdatatype" );
    /* src/mpi/attr/win_create_keyval.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**initialized", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**initialized" );
    /* src/mpi/coll/allgather.c */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll" );
    {
    /* src/mpi/coll/allgather.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/allgatherv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/allreduce.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/alltoall.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/alltoallv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/alltoallw.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/barrier.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/bcast.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/gather.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/gatherv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    /* src/mpi/coll/opband.c */
    err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", 0 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined" );
    {
    /* src/mpi/coll/opband.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opband.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opbor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opbor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opbxor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opbxor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    /* src/mpi/coll/op_free.c */
    err = MPIR_Err_create_code( MPI_ERR_OP, "**permop", 0 );
    ChkMsg( err, MPI_ERR_OP, "**permop" );
    {
    /* src/mpi/coll/opland.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opland.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/oplor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/oplor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/oplxor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/oplxor.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmax.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmax.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmaxloc.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmaxloc.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmin.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opmin.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opminloc.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opminloc.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opprod.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opprod.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opsum.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/opsum.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OP, "**opundefined", "**opundefined %s", s1 );
    ChkMsg( err, MPI_ERR_OP, "**opundefined %s" );
    }
    {
    /* src/mpi/coll/red_scat.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/reduce.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/scatter.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    {
    /* src/mpi/coll/scatterv.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**intercommcoll", "**intercommcoll %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**intercommcoll %s" );
    }
    /* src/mpi/comm/comm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**toomanycomm", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**toomanycomm" );
    /* src/mpi/comm/comm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_GROUP, "**groupnotincomm", 0 );
    ChkMsg( err, MPI_ERR_GROUP, "**groupnotincomm" );
    {
    /* src/mpi/comm/comm_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_GROUP, "**groupnotincomm", "**groupnotincomm %d", i1 );
    ChkMsg( err, MPI_ERR_GROUP, "**groupnotincomm %d" );
    }
    /* src/mpi/comm/comm_free.c */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**commperm", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**commperm" );
    {
    /* src/mpi/comm/comm_free.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**commperm", "**commperm %s", s1 );
    ChkMsg( err, MPI_ERR_COMM, "**commperm %s" );
    }
    /* src/mpi/comm/comm_rank.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**nullptr", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**nullptr" );
    {
    /* src/mpi/comm/comm_rank.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**nullptr", "**nullptr %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**nullptr %s" );
    }
    /* src/mpi/comm/comm_remote_group.c */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**commnotinter", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**commnotinter" );
    {
    /* src/mpi/comm/comm_size.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**nullptr", "**nullptr %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**nullptr %s" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**intern", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**intern" );
    {
    /* src/mpi/comm/intercomm_create.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OTHER, "**intern", "**intern %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**intern %s" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**dupprocesses", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**dupprocesses" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_COMM, "**dupprocesses", "**dupprocesses %d", i1 );
    ChkMsg( err, MPI_ERR_COMM, "**dupprocesses %d" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_RANK, "**ranklocal", 0 );
    ChkMsg( err, MPI_ERR_RANK, "**ranklocal" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**ranklocal", "**ranklocal %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**ranklocal %d %d" );
    }
    /* src/mpi/comm/intercomm_create.c */
    err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankremote", 0 );
    ChkMsg( err, MPI_ERR_RANK, "**rankremote" );
    {
    /* src/mpi/comm/intercomm_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankremote", "**rankremote %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rankremote %d %d" );
    }
    /* src/mpi/comm/intercomm_merge.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**notsame", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**notsame" );
    {
    /* src/mpi/comm/intercomm_merge.c */
    char s1[] = "string1";
    char s2[] = "string2";
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**notsame", "**notsame %s %s", s1, s2 );
    ChkMsg( err, MPI_ERR_ARG, "**notsame %s %s" );
    }
    /* src/mpi/datatype/pack.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**arg", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**arg" );
    /* src/mpi/datatype/type_free.c */
    err = MPIR_Err_create_code( MPI_ERR_TYPE, "**dtypeperm", 0 );
    ChkMsg( err, MPI_ERR_TYPE, "**dtypeperm" );
    /* src/mpi/datatype/type_set_name.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**typenamelen", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**typenamelen" );
    {
    /* src/mpi/datatype/type_set_name.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**typenamelen", "**typenamelen %d", i1 );
    ChkMsg( err, MPI_ERR_ARG, "**typenamelen %d" );
    }
    /* src/mpi/errhan/add_error_class.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**noerrclasses", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**noerrclasses" );
    /* src/mpi/errhan/add_error_code.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**noerrcodes", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**noerrcodes" );
    /* src/mpi/group/group_translate_ranks.c */
    err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", 0 );
    ChkMsg( err, MPI_ERR_RANK, "**rank" );
    {
    /* src/mpi/group/group_translate_ranks.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg" );
    {
    /* src/mpi/group/grouputil.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankarray", 0 );
    ChkMsg( err, MPI_ERR_RANK, "**rankarray" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankarray", "**rankarray %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_RANK, "**rankarray %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankdup", 0 );
    ChkMsg( err, MPI_ERR_RANK, "**rankdup" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rankdup", "**rankdup %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_RANK, "**rankdup %d %d %d" );
    }
    {
    /* src/mpi/group/grouputil.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangestartinvalid", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**rangestartinvalid" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangestartinvalid", "**rangestartinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangestartinvalid %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangeendinvalid", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**rangeendinvalid" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangeendinvalid", "**rangeendinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangeendinvalid %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**stride", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**stride" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**stride", "**stride %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**stride %d %d %d" );
    }
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**stridezero", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**stridezero" );
    /* src/mpi/group/grouputil.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangedup", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**rangedup" );
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangedup", "**rangedup %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangedup %d %d %d" );
    }
    {
    /* src/mpi/group/grouputil.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**rangedup", "**rangedup %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**rangedup %d %d %d" );
    }
    /* src/mpi/init/init.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**inittwice", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**inittwice" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code( MPI_ERR_BUFFER, "**bufexists", 0 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufexists" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**bsendbufsmall", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**bsendbufsmall" );
    {
    /* src/mpi/pt2pt/bsendutil.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_OTHER, "**bsendbufsmall", "**bsendbufsmall %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_OTHER, "**bsendbufsmall %d %d" );
    }
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**notimpl", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**notimpl" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**bsendnobuf", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**bsendnobuf" );
    /* src/mpi/pt2pt/bsendutil.c */
    err = MPIR_Err_create_code( MPI_ERR_BUFFER, "**bufbsend", 0 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufbsend" );
    {
    /* src/mpi/pt2pt/bsendutil.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_BUFFER, "**bufbsend", "**bufbsend %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufbsend %d %d" );
    }
    /* src/mpi/pt2pt/cancel.c */
    err = MPIR_Err_create_code( MPI_ERR_REQUEST, "**requestpersistactive", 0 );
    ChkMsg( err, MPI_ERR_REQUEST, "**requestpersistactive" );
    /* src/mpi/pt2pt/cancel.c */
    err = MPIR_Err_create_code( MPI_ERR_INTERN, "**cancelunknown", 0 );
    ChkMsg( err, MPI_ERR_INTERN, "**cancelunknown" );
    /* src/mpi/pt2pt/greq_complete.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**notgenreq", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**notgenreq" );
    {
    /* src/mpi/rma/accumulate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/mpi/rma/accumulate.c */
    err = MPIR_Err_create_code( MPI_ERR_OP, "**op", 0 );
    ChkMsg( err, MPI_ERR_OP, "**op" );
    {
    /* src/mpi/rma/alloc_mem.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/mpi/rma/alloc_mem.c */
    err = MPIR_Err_create_code( MPI_ERR_NO_MEM, "**allocmem", 0 );
    ChkMsg( err, MPI_ERR_NO_MEM, "**allocmem" );
    {
    /* src/mpi/rma/get.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    {
    /* src/mpi/rma/put.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/mpi/rma/win_create.c */
    err = MPIR_Err_create_code( MPI_ERR_SIZE, "**rmasize", 0 );
    ChkMsg( err, MPI_ERR_SIZE, "**rmasize" );
    {
    /* src/mpi/rma/win_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_SIZE, "**rmasize", "**rmasize %d", i1 );
    ChkMsg( err, MPI_ERR_SIZE, "**rmasize %d" );
    }
    {
    /* src/mpi/rma/win_create.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**arg", "**arg %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**arg %s" );
    }
    /* src/mpi/topo/cart_coords.c */
    err = MPIR_Err_create_code( MPI_ERR_TOPOLOGY, "**notcarttopo", 0 );
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notcarttopo" );
    /* src/mpi/topo/cart_coords.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**dimsmany", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany" );
    {
    /* src/mpi/topo/cart_coords.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**dimsmany", "**dimsmany %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany %d %d" );
    }
    /* src/mpi/topo/cart_create.c */
    err = MPIR_Err_create_code( MPI_ERR_DIMS, "**dims", 0 );
    ChkMsg( err, MPI_ERR_DIMS, "**dims" );
    {
    /* src/mpi/topo/cart_create.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_DIMS, "**dims", "**dims %d", i1 );
    ChkMsg( err, MPI_ERR_DIMS, "**dims %d" );
    }
    /* src/mpi/topo/cart_create.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**cartdim", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**cartdim" );
    {
    /* src/mpi/topo/cart_create.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**cartdim", "**cartdim %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**cartdim %d %d" );
    }
    {
    /* src/mpi/topo/cart_get.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**dimsmany", "**dimsmany %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany %d %d" );
    }
    {
    /* src/mpi/topo/cart_map.c */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_DIMS, "**dims", "**dims %d", i1 );
    ChkMsg( err, MPI_ERR_DIMS, "**dims %d" );
    }
    /* src/mpi/topo/cart_map.c */
    err = MPIR_Err_create_code( MPI_ERR_DIMS, "**topotoolarge", 0 );
    ChkMsg( err, MPI_ERR_DIMS, "**topotoolarge" );
    {
    /* src/mpi/topo/cart_map.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_DIMS, "**topotoolarge", "**topotoolarge %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_DIMS, "**topotoolarge %d %d" );
    }
    /* src/mpi/topo/cart_rank.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**cartcoordinvalid", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**cartcoordinvalid" );
    {
    /* src/mpi/topo/cart_rank.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**cartcoordinvalid", "**cartcoordinvalid %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**cartcoordinvalid %d %d %d" );
    }
    /* src/mpi/topo/cart_shift.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**cartshiftzero", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**cartshiftzero" );
    {
    /* src/mpi/topo/cart_shift.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**dimsmany", "**dimsmany %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**dimsmany %d %d" );
    }
    /* src/mpi/topo/cart_sub.c */
    err = MPIR_Err_create_code( MPI_ERR_TOPOLOGY, "**notopology", 0 );
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notopology" );
    /* src/mpi/topo/dims_create.c */
    err = MPIR_Err_create_code( MPI_ERR_DIMS, "**argarrayneg", 0 );
    ChkMsg( err, MPI_ERR_DIMS, "**argarrayneg" );
    {
    /* src/mpi/topo/dims_create.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_DIMS, "**argarrayneg", "**argarrayneg %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_DIMS, "**argarrayneg %s %d %d" );
    }
    /* src/mpi/topo/dims_create.c */
    err = MPIR_Err_create_code( MPI_ERR_DIMS, "**dimspartition", 0 );
    ChkMsg( err, MPI_ERR_DIMS, "**dimspartition" );
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**indexneg", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**indexneg" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**indexneg", "**indexneg %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**indexneg %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**indexnonmonotone", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**indexnonmonotone" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**indexnonmonotone", "**indexnonmonotone %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**indexnonmonotone %d %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**edgeoutrange", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**edgeoutrange" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**edgeoutrange", "**edgeoutrange %d %d %d", i1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**edgeoutrange %d %d %d" );
    }
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**topotoolarge", "**topotoolarge %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**topotoolarge %d %d" );
    }
    /* src/mpi/topo/graphcreate.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**nulledge", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**nulledge" );
    {
    /* src/mpi/topo/graphcreate.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**nulledge", "**nulledge %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**nulledge %d %d" );
    }
    /* src/mpi/topo/graphdimsget.c */
    err = MPIR_Err_create_code( MPI_ERR_TOPOLOGY, "**notgraphtopo", 0 );
    ChkMsg( err, MPI_ERR_TOPOLOGY, "**notgraphtopo" );
    /* src/mpi/topo/graph_get.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**argrange", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**argrange" );
    {
    /* src/mpi/topo/graph_get.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argrange", "**argrange %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**argrange %s %d %d" );
    }
    {
    /* src/mpi/topo/graph_get.c */
    char s1[] = "string1";
    int i2 = 2;
    int i3 = 3;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argrange", "**argrange %s %d %d", s1, i2, i3 );
    ChkMsg( err, MPI_ERR_ARG, "**argrange %s %d %d" );
    }
    /* src/mpi/topo/graph_map.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**graphnnodes", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**graphnnodes" );
    {
    /* src/mpi/topo/graph_nbr.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    {
    /* src/mpi/topo/graphnbrcnt.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_KEY, "**infokeynull", 0 );
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeynull" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_KEY, "**infokeylong", 0 );
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeylong" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_KEY, "**infokeyempty", 0 );
    ChkMsg( err, MPI_ERR_INFO_KEY, "**infokeyempty" );
    /* src/util/info/info_delete.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_NOKEY, "**infonokey", 0 );
    ChkMsg( err, MPI_ERR_INFO_NOKEY, "**infonokey" );
    {
    /* src/util/info/info_delete.c */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_INFO_NOKEY, "**infonokey", "**infonokey %s", s1 );
    ChkMsg( err, MPI_ERR_INFO_NOKEY, "**infonokey %s" );
    }
    {
    /* src/util/info/info_get.c */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/util/info/info_get.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_VALUE, "**infovalnull", 0 );
    ChkMsg( err, MPI_ERR_INFO_VALUE, "**infovalnull" );
    /* src/util/info/info_getnth.c */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**infonkey", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**infonkey" );
    {
    /* src/util/info/info_getnth.c */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**infonkey", "**infonkey %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**infonkey %d %d" );
    }
    /* src/util/info/info_set.c */
    err = MPIR_Err_create_code( MPI_ERR_INFO_VALUE, "**infovallong", 0 );
    ChkMsg( err, MPI_ERR_INFO_VALUE, "**infovallong" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_OTHER, "**nullptrtype", 0 );
    ChkMsg( err, MPI_ERR_OTHER, "**nullptrtype" );
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OTHER, "**nullptrtype", "**nullptrtype %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**nullptrtype %s" );
    }
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_OTHER, "**nullptrtype", "**nullptrtype %s", s1 );
    ChkMsg( err, MPI_ERR_OTHER, "**nullptrtype %s" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**comm", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**comm" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_TAG, "**tag", 0 );
    ChkMsg( err, MPI_ERR_TAG, "**tag" );
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_TAG, "**tag", "**tag %d", i1 );
    ChkMsg( err, MPI_ERR_TAG, "**tag %d" );
    }
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_TAG, "**tag", "**tag %d", i1 );
    ChkMsg( err, MPI_ERR_TAG, "**tag %d" );
    }
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_RANK, "**rank", "**rank %d %d", i1, i2 );
    ChkMsg( err, MPI_ERR_RANK, "**rank %d %d" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_COUNT, "**countneg", 0 );
    ChkMsg( err, MPI_ERR_COUNT, "**countneg" );
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_COUNT, "**countneg", "**countneg %d", i1 );
    ChkMsg( err, MPI_ERR_COUNT, "**countneg %d" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_DISP, "**rmadisp", 0 );
    ChkMsg( err, MPI_ERR_DISP, "**rmadisp" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_BUFFER, "**bufalias", 0 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufalias" );
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**nullptr", "**nullptr %s", s1 );
    ChkMsg( err, MPI_ERR_ARG, "**nullptr %s" );
    }
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argneg", "**argneg %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argneg %s %d" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_ARG, "**argnonpos", 0 );
    ChkMsg( err, MPI_ERR_ARG, "**argnonpos" );
    {
    /* src/include/mpiimpl.h */
    char s1[] = "string1";
    int i2 = 2;
     err = MPIR_Err_create_code( MPI_ERR_ARG, "**argnonpos", "**argnonpos %s %d", s1, i2 );
    ChkMsg( err, MPI_ERR_ARG, "**argnonpos %s %d" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_TYPE, "**dtypenull", 0 );
    ChkMsg( err, MPI_ERR_TYPE, "**dtypenull" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_ROOT, "**root", 0 );
    ChkMsg( err, MPI_ERR_ROOT, "**root" );
    {
    /* src/include/mpiimpl.h */
    int i1 = 1;
     err = MPIR_Err_create_code( MPI_ERR_ROOT, "**root", "**root %d", i1 );
    ChkMsg( err, MPI_ERR_ROOT, "**root %d" );
    }
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_REQUEST, "**requestnotpersist", 0 );
    ChkMsg( err, MPI_ERR_REQUEST, "**requestnotpersist" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**commnotintra", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**commnotintra" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_TYPE, "**dtype", 0 );
    ChkMsg( err, MPI_ERR_TYPE, "**dtype" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_BUFFER, "**bufnull", 0 );
    ChkMsg( err, MPI_ERR_BUFFER, "**bufnull" );
    /* src/include/mpiimpl.h */
    err = MPIR_Err_create_code( MPI_ERR_COMM, "**commnull", 0 );
    ChkMsg( err, MPI_ERR_COMM, "**commnull" );
    return 0;
}
